# Formatting standard and conventions

## Documenting Knative API Objects
> Any Knative API Objects ought to use Title case.

|:white_check_mark: Correct                  |:no_entry: Incorrect
|--------------------|-----
|Channels | `Channels`
|Broker      | broker


## Using parentheses
>Don’t use parentheses, unless it’s the first instance in a page to explain an acronym that isn’t immediately obvious.

>Parenthetical statements especially should be avoided because if something is important enough to be in the sentence, it should be fully part of that sentence.

|:white_check_mark: Correct                  |:no_entry: Incorrect
|--------------------|-----
|Install the Custom Resource Definition (CRD) | Check your CLI (you should see it there)
|Knative Serving will create a Revision      | Knative will create a Revision (a stateless, snapshot in time of your code and configuration)


## Use sentence case for titles and headings

> Use sentence case for all titles and headings. Only capitalize the first
word of the heading, except for proper nouns or acronyms.

|:white_check_mark: Correct                  |:no_entry: Incorrect
|--------------------|-----
|Configuring feature | Configuring Feature
|Using feature.      | Using Feature
|Using HTTPS         | Using https

## Create descriptive links

|:white_check_mark: Correct                                     |:no_entry: Incorrect
|---------------------------------------|------
|Check out [this excellent article](https://medium.com/@heyoka/Correctnt-use-click-here-f32f445d1021) explaining <br> what makes a good hyperlink    | Check out the article [here](https://medium.com/@heyoka/Correctnt-use-click-here-f32f445d1021)
