---
title: "Knative Offerings"
linkTitle: "Knative Offerings"
weight: 07
type: "docs"
---

# Knative Offerings

Knative has a rich community with many vendors participating, and many of those
vendors offer commercial Knative products.  Please check with each of these
vendors for what is or is not supported.

<!-- TODO: Talk about criteria for inclusion here?  a la Conformance -->

Here is a list of commercial Knative products (alphabetically):

- [Gardener](https://gardener.cloud/documentation/tutorials/knative-install/): Install Knative in Gardener's vanilla Kubernetes clusters to add an extra layer of serverless runtime.
- [Google Cloud Run for Anthos](https://cloud.google.com/run/docs/gke/setup): Extend Google Kubernetes Engine with a flexible serverless development platform. With Cloud Run for Anthos, you get the operational flexibility of Kubernetes with the developer experience of serverless, allowing you to deploy and manage Knative-based services on your own cluster, and trigger them with events from Google, 3rd-party sources, and your own applications.
- [Google Cloud Run](https://cloud.google.com/run/docs/setup): A fully-managed Knative-based serverless platform. With no Kubernetes cluster to manage, Cloud Run lets you go from container to production in seconds.
- [IBM Cloud Code Engine](https://cloud.ibm.com/codeengine): A fully-managed serverless platform that runs all your containerized workloads, including http-driven application, batch jobs or event-driven functions.
- [Red Hat Openshift Serverless](https://docs.openshift.com/container-platform/4.7/serverless/serverless-getting-started.html): enables stateful, stateless, and serverless workloads to all run on a single multi-cloud container platform with automated operations. Developers can use a single platform for hosting their microservices, legacy, and serverless applications.
- [TriggerMesh Cloud](https://cloud.triggermesh.io): A fully-managed Knative and Tekton cloud-native integration platform. With support for AWS, Azure and Google event sources and brokers.
- [Cloud Native Runtimes for VMware Tanzu](https://docs.vmware.com/en/Cloud-Native-Runtimes-for-VMware-Tanzu/0.2/tanzu-cloud-native-runtimes-02/GUID-serverless-overview.html): A serverless application runtime for Kubernetes that is based on Knative, and runs on a single Kubernetes cluster

<!-- TODO: In which category do we put SAP/Kyma? -->

<!-- TODO(you!): Add a new section if your project builds ON Knative (vs. offering it directly)  -->
