---
title: "Knative Serving code samples"
linkTitle: "Code samples"
weight: 100
type: "docs"
---

# Knative Serving code samples

Use the following code samples to help you understand the various Knative
Serving resources and how they can be applied across common use cases.

[**See all Knative code samples**](../../samples)

| Name                | Description                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                             Languages                                                                                                                                                                                                                                                                                              |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| Hello World         | A quick introduction that highlights how to deploy an app using Knative Serving.                                                                                                                                         | [C#](./hello-world/helloworld-csharp/), [Go](./hello-world/helloworld-go/), [Java (Spark)](./hello-world/helloworld-java-spark/), [Java (Spring)](./hello-world/helloworld-java-spring/), [Kotlin](./hello-world/helloworld-kotlin/), [Node.js](./hello-world/helloworld-nodejs/), [PHP](./hello-world/helloworld-php/), [Python](./hello-world/helloworld-python/), [Ruby](./hello-world/helloworld-ruby/), [Scala](./hello-world/helloworld-scala/), [Shell](./hello-world/helloworld-shell/) |
| Cloud Events        | A quick introduction that highlights how to send and receive Cloud Events.                                                                                                                                               | [C#](./cloudevents/cloudevents-dotnet/), [Go](./cloudevents/cloudevents-go/), [Node.js](./cloudevents/cloudevents-nodejs/), [Rust](./cloudevents/cloudevents-rust/), [Java (Vert.x)](./cloudevents/cloudevents-vertx/)                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Advanced Deployment | Simple blue/green-like application deployment pattern illustrating the process of updating a live application without dropping any traffic.                                                                              |                                                                                                                                                                                                                                                                                 [YAML](./blue-green-deployment)                                                                                                                                                                                                                                                                                 |
| Autoscale           | A demonstration of the autoscaling capabilities of Knative.                                                                                                                                                              |                                                                                                                                                                                                                                                                                   [Go](../autoscaling/autoscale-go/)                                                                                                                                                                                                                                                                                   |
| Github Webhook      | A simple webhook handler that demonstrates interacting with Github.                                                                                                                                                      |                                                                                                                                                                                                                                                                                  [Go](./gitwebhook-go/)                                                                                                                                                                                                                                                                                   |
| gRPC                | A simple gRPC server.                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                   [Go](./grpc-ping-go/)                                                                                                                                                                                                                                                                                   |
| Knative Routing     | An example of mapping multiple Knative services to different paths under a single domain name using the Istio VirtualService concept.                                                                                    |                                                                                                                                                                                                                                                                                [Go](./knative-routing-go/)                                                                                                                                                                                                                                                                                |
| Knative Secrets     | A simple app that demonstrates how to use a Kubernetes secret as a Volume in Knative.                                                                                                                                    |                                                                                                                                                                                                                                                                                    [Go](./secrets-go/)                                                                                                                                                                                                                                                                                    |
| REST API            | A simple Restful service that exposes an endpoint defined by an environment variable described in the Knative Configuration.                                                                                             |                                                                                                                                                                                                                                                                                   [Go](./rest-api-go/)                                                                                                                                                                                                                                                                                    |
| Traffic Splitting   | This samples builds off the [Creating a RESTful Service](./rest-api-go) sample to illustrate applying a revision, then using that revision for manual traffic splitting.                                                 |                                                                                                                                                                                                                                                                               [YAML](./traffic-splitting/)                                                                                                                                                                                                                                                                                |
| Multi Container     | A quick introduction that highlights how to build and deploy an app using Knative Serving for multiple containers.                                                 |                                                                                                                                                                                                                                                                                                                                     [Go](./multi-container/)                                                                                                                                                                                                                                                                                |
